package org.framework.lazy.cloud.network.heartbeat.server.init;

import lombok.extern.slf4j.Slf4j;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.LazyInternalNetworkServerPermeateMappingApplication;
import org.springframework.boot.CommandLineRunner;
import org.springframework.context.annotation.Configuration;

/**
 * 初始化服务端内网渗透socket
 */
@Slf4j
@Configuration
public class InitServerPermeateSocket implements CommandLineRunner {
    private final LazyInternalNetworkServerPermeateMappingApplication lazyInternalNetworkServerPermeateMappingApplication;

    public InitServerPermeateSocket(LazyInternalNetworkServerPermeateMappingApplication lazyInternalNetworkServerPermeateMappingApplication) {
        this.lazyInternalNetworkServerPermeateMappingApplication = lazyInternalNetworkServerPermeateMappingApplication;
    }

    @Override
    public void run(String... args) throws Exception {
        lazyInternalNetworkServerPermeateMappingApplication.initPermeateSocket();
    }
}
